Bug 1309721 (CVE-2016-2515) - CVE-2016-2515 nodejs-hawk: Long headers or URIs can cause minor DoS
Summary: CVE-2016-2515 nodejs-hawk: Long headers or URIs can cause minor DoS
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-2515
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1309722 1309723
Blocks: 1309726
TreeView+ depends on / blocked
 
Reported: 2016-02-18 14:52 UTC by Adam Mariš
Modified: 2019-09-29 13:44 UTC (History)
16 users (show)

Fixed In Version: nodejs-hawk 3.1.3, nodejs-hawk 4.1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-01 14:39:47 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-02-18 14:52:36 UTC
It was found that specially crafted long headers or uris can cause a minor denial of service.

Upstream patch:

https://github.com/hueniverse/hawk/commit/0833f99ba64558525995a7e21d4093da1f3e15fa

Comment 1 Adam Mariš 2016-02-18 14:53:09 UTC
Created nodejs-hawk tracking bugs for this issue:

Affects: fedora-all [bug 1309722]
Affects: epel-all [bug 1309723]

Comment 2 Kurt Seifried 2016-03-01 14:39:47 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. Additionally nodejs-hawk is only present as a BuildRequires dependency in the nodejs-request package, the actual hawk functionality is not used in OpenShift Enterprise 3. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.